import request from "@/utils/request";

// 查询供应商档案信息列表
export function listSupplierRecord(query) {
  return request({
    url: "/business/supplier/list",
    method: "get",
    params: query,
  });
}

// 查询供应商档案信息详细
export function getSupplierRecord(id) {
  return request({
    url: "/business/supplier/" + id,
    method: "get",
  });
}

// 新增供应商档案信息
export function addSupplierRecord(data) {
  return request({
    url: "/business/supplier",
    method: "post",
    data: data,
  });
}

// 修改供应商档案信息
export function updateSupplierRecord(data) {
  return request({
    url: "/business/supplier",
    method: "put",
    data: data,
  });
}

// 删除供应商档案信息
export function delSupplierRecord(id) {
  return request({
    url: "/business/supplier/" + id,
    method: "delete",
  });
}
